mode(-1);
libname='comedilib' // [CUSTOM]
libtitle='Data acquisition using COMEDI under Linux'; // title of the toolbox [CUSTOM]

mess=[' ';' ';libtitle+' loaded'; ] // (if any) [CUSTOM]

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then //Unix
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
  // Add primitives
  link(DIR+'src/comedi_analogin.o -lcomedi', 'comedi_analogin', 'c')
  link(DIR+'src/comedi_analogout.o -lcomedi', 'comedi_analogout', 'c')
  link(DIR+'src/comedi_digitalin.o -lcomedi', 'comedi_digitalin', 'c')
  link(DIR+'src/comedi_digitalout.o -lcomedi', 'comedi_digitalout', 'c')
  link(DIR+'src/comedi_encoderin.o -lcomedi', 'comedi_encoderin', 'c')
  // Add palette
  errcatch(-1,'continue','nomessage')
  load('.scicos_pal')
  if iserror(-1) then errclear(-1);end
  scicos_pal=[scicos_pal; ['Comedi',DIR+'macros/COMEDI_Palette.cosf'] ]	
  [x,k]=gsort(scicos_pal(:,2))
  keq=find(x(2:$)==x(1:$-1))
  k(keq)=[];k=-sort(-k);
  scicos_pal=scicos_pal(k,:);
  errcatch(-1,'continue')
  save('.scicos_pal',scicos_pal)
  if iserror(-1) then
    errclear(-1)
    message('Cannot save .scicos_pal in current directory')
  end
else
  message('COMEDI does not currently work under Windows')
end
// load the library
execstr(libname+'=lib(""'+MACROS+'"")')
// add the help chapter
write(%io(2),mess)
%helps = [%helps; DIR+'man', libtitle]
chfact;

clear fd err nams DIR libname libtitle mess  //clean environment
