function [x,y,typ]=COMEDI_DIGITALIN_f(job,arg1,arg2)
  // Copyright 2002 Anders Blomdell
  //                Department of Automatic Control
  //                Lund Institute of Technology, Sweden
  x=[];y=[];typ=[]
  select job
  case 'plot' then
    arg1.graphics.gr_i=COMEDI_DIGITALIN_f('defaulticon', arg1);
    standard_draw(arg1)
  case 'getinputs' then
    [x,y,typ]=standard_inputs(o)
  case 'getoutputs' then
    [x,y,typ]=standard_outputs(o)
  case 'getorigin' then
    [x,y]=standard_origin(arg1)
  case 'set' then
    x=arg1;
    graphics=arg1.graphics;
    exprs=graphics.exprs;
    model=arg1.model;
    while %t do
      [ok,chan,exprs]=getvalue(..
	  'Select Comedi DIGITALIN channels',..
	  ['Channels'],..
	   list('vec',-1),exprs);
      if ~ok then 
        break //user cancel modification
      else 
        [model,graphics,ok]=check_io(model,graphics,[],size(chan,'*'),1,[]);
        if ok then
    	  graphics.exprs=exprs;
	  graphics.gr_i=COMEDI_DIGITALIN_f('defaulticon',arg1);
          model.ipar=chan'
	  model.dstate=zeros(size(model.ipar, 'r')*7,1)
	  x.graphics=graphics;
	  x.model=model;
          break
        end
      end
    end
  case 'define' then
    model=scicos_model();
    model.sim=list('comedi_digitalin',2);
    model.out=0;
    model.evtin=1;
    model.blocktype='d';
    model.dep_ut=[%f %f];
    exprs=[''];
    gr_i=COMEDI_DIGITALIN_f('defaulticon',model);
    x=standard_define([4 2],model,exprs,gr_i);
  case 'defaulticon' then
    // Blatant hack to define icon in one place only
    // and make old diagrams be updated
    txt='DigitalIn';
    x=['txt='''+txt+''';';
       'xstringb(orig(1),orig(2),txt,sz(1),sz(2),''fill'')'];
  end
endfunction



